X11-1.6.1.1: A binding to the X11 graphics library

Portability | portable
Stability | provisional
Maintainer | Ben Boeckel <mathstuf@gmail.com> , Jochen Keil <jochen dot keil at gmail dot com>
Safe Haskell | None

Graphics.X11.Xrandr

Description

Synopsis

- data XRRScreenSize = XRRScreenSize {
  - xrr_ss_width :: !CInt
  - xrr_ss_height :: !CInt
  - xrr_ss_mwidth :: !CInt
  - xrr_ss_mheight :: !CInt
  }
- data XRRModeInfo = XRRModeInfo {
  - xrr_mi_id :: !RRMode
  - xrr_mi_width :: !CUInt
  - xrr_mi_height :: !CUInt
  - xrr_mi_dotClock :: !CUInt
  - xrr_mi_hSyncStart :: !CUInt
  - xrr_mi_hSyncEnd :: !CUInt
  - xrr_mi_hTotal :: !CUInt
  - xrr_mi_hSkew :: !CUInt
  - xrr_mi_vSyncStart :: !CUInt
  - xrr_mi_vSyncEnd :: !CUInt
  - xrr_mi_vTotal :: !CUInt
  - xrr_mi_name :: !String
  - xrr_mi_modeFlags :: !XRRModeFlags
  }
- data XRRScreenResources = XRRScreenResources {
  - xrr_sr_timestamp :: !Time
  - xrr_sr_configTimestamp :: !Time
  - xrr_sr_crtcs :: [RRCrtc]
  - xrr_sr_outputs :: [RROutput]
  - xrr_sr_modes :: [XRRModeInfo]
  }
- data XRROutputInfo = XRROutputInfo {
  - xrr_oi_timestamp :: !Time
  - xrr_oi_crtc :: !RRCrtc
  - xrr_oi_name :: !String
  - xrr_oi_mm_width :: !CULong
  - xrr_oi_mm_height :: !CULong
  - xrr_oi_connection :: !Connection
  - xrr_oi_subpixel_order :: !SubpixelOrder
  - xrr_oi_crtcs :: [RRCrtc]
  - xrr_oi_clones :: [RROutput]
  - xrr_oi_npreferred :: !CInt
  - xrr_oi_modes :: [RRMode]
  }
- data XRRCrtcInfo = XRRCrtcInfo {
  - xrr_ci_timestamp :: !Time
  - xrr_ci_x :: !CInt
  - xrr_ci_y :: !CInt
  - xrr_ci_width :: !CUInt
  - xrr_ci_height :: !CUInt
  - xrr_ci_mode :: !RRMode
  - xrr_ci_rotation :: !Rotation
  - xrr_ci_outputs :: [RROutput]
  - xrr_ci_rotations :: !Rotation
  - xrr_ci_possible :: [RROutput]
  }
- compiledWithXrandr :: Bool
- type Rotation = Word16
- type Reflection = Word16
- type SizeID = Word16
- data XRRScreenConfiguration
- xrrQueryExtension :: Display -> IO (Maybe (CInt, CInt))
- xrrQueryVersion :: Display -> IO (Maybe (CInt, CInt))
- xrrGetScreenInfo :: Display -> Drawable -> IO (Maybe XRRScreenConfiguration)
- xrrFreeScreenConfigInfo :: XRRScreenConfiguration -> IO ()
- xrrSetScreenConfig :: Display -> XRRScreenConfiguration -> Drawable -> CInt -> Rotation -> Time -> IO Status
- xrrSetScreenConfigAndRate :: Display -> XRRScreenConfiguration -> Drawable -> CInt -> Rotation -> CShort -> Time -> IO Status
- xrrConfigRotations :: XRRScreenConfiguration -> IO (Rotation, Rotation)
- xrrConfigTimes :: XRRScreenConfiguration -> IO (Time, Time)
- xrrConfigSizes :: XRRScreenConfiguration -> IO (Maybe [XRRScreenSize])
- xrrConfigRates :: XRRScreenConfiguration -> CInt -> IO (Maybe [CShort])
- xrrConfigCurrentConfiguration :: XRRScreenConfiguration -> IO (Rotation, SizeID)
- xrrConfigCurrentRate :: XRRScreenConfiguration -> IO CShort
- xrrRootToScreen :: Display -> Window -> IO CInt
- xrrSelectInput :: Display -> Window -> EventMask -> IO ()
- xrrUpdateConfiguration :: XEvent -> IO CInt
- xrrRotations :: Display -> CInt -> IO (Rotation, Rotation)
- xrrSizes :: Display -> CInt -> IO (Maybe [XRRScreenSize])
- xrrRates :: Display -> CInt -> CInt -> IO (Maybe [CShort])
- xrrTimes :: Display -> CInt -> IO (Time, Time)
- xrrGetScreenResources :: Display -> Window -> IO (Maybe XRRScreenResources)
- xrrGetOutputInfo :: Display -> XRRScreenResources -> RROutput -> IO (Maybe XRROutputInfo)
- xrrGetCrtcInfo :: Display -> XRRScreenResources -> RRCrtc -> IO (Maybe XRRCrtcInfo)
- xrrGetScreenResourcesCurrent :: Display -> Window -> IO (Maybe XRRScreenResources)
- xrrSetOutputPrimary :: Display -> Window -> RROutput -> IO ()
- xrrGetOutputPrimary :: Display -> Window -> IO RROutput
- xrrListOutputProperties :: Display -> RROutput -> IO (Maybe [Atom])

# Documentation

data XRRScreenSize

Representation of the XRRScreenSize struct

Constructors

XRRScreenSize |

Fields

xrr_ss_width :: !CInt
xrr_ss_height :: !CInt
xrr_ss_mwidth :: !CInt
xrr_ss_mheight :: !CInt

Instances

Show XRRScreenSize |
Storable XRRScreenSize |

data XRRModeInfo

Representation of the XRRModeInfo struct

Constructors

XRRModeInfo |

Fields

xrr_mi_id :: !RRMode
xrr_mi_width :: !CUInt
xrr_mi_height :: !CUInt
xrr_mi_dotClock :: !CUInt
xrr_mi_hSyncStart :: !CUInt
xrr_mi_hSyncEnd :: !CUInt
xrr_mi_hTotal :: !CUInt
xrr_mi_hSkew :: !CUInt
xrr_mi_vSyncStart :: !CUInt
xrr_mi_vSyncEnd :: !CUInt
xrr_mi_vTotal :: !CUInt
xrr_mi_name :: !String
xrr_mi_modeFlags :: !XRRModeFlags

Instances

Eq XRRModeInfo |
Show XRRModeInfo |
Storable XRRModeInfo |

data XRRScreenResources

Representation of the XRRScreenResources struct

Constructors

XRRScreenResources |

Fields

xrr_sr_timestamp :: !Time
xrr_sr_configTimestamp :: !Time
xrr_sr_crtcs :: [RRCrtc]
xrr_sr_outputs :: [RROutput]
xrr_sr_modes :: [XRRModeInfo]

Instances

Eq XRRScreenResources |
Show XRRScreenResources |
Storable XRRScreenResources |

data XRROutputInfo

Representation of the XRROutputInfo struct

Constructors

XRROutputInfo |

Fields

xrr_oi_timestamp :: !Time
xrr_oi_crtc :: !RRCrtc
xrr_oi_name :: !String
xrr_oi_mm_width :: !CULong
xrr_oi_mm_height :: !CULong
xrr_oi_connection :: !Connection
xrr_oi_subpixel_order :: !SubpixelOrder
xrr_oi_crtcs :: [RRCrtc]
xrr_oi_clones :: [RROutput]
xrr_oi_npreferred :: !CInt
xrr_oi_modes :: [RRMode]

Instances

Eq XRROutputInfo |
Show XRROutputInfo |
Storable XRROutputInfo |

data XRRCrtcInfo

Representation of the XRRCrtcInfo struct

Constructors

XRRCrtcInfo |

Fields

xrr_ci_timestamp :: !Time
xrr_ci_x :: !CInt
xrr_ci_y :: !CInt
xrr_ci_width :: !CUInt
xrr_ci_height :: !CUInt
xrr_ci_mode :: !RRMode
xrr_ci_rotation :: !Rotation
xrr_ci_outputs :: [RROutput]
xrr_ci_rotations :: !Rotation
xrr_ci_possible :: [RROutput]

Instances

Eq XRRCrtcInfo |
Show XRRCrtcInfo |
Storable XRRCrtcInfo |

compiledWithXrandr :: Bool

type Rotation = Word16

type Reflection = Word16

type SizeID = Word16

data XRRScreenConfiguration

Instances

Eq XRRScreenConfiguration |
Data XRRScreenConfiguration |
Ord XRRScreenConfiguration |
Show XRRScreenConfiguration |
Typeable XRRScreenConfiguration |

xrrQueryExtension :: Display -> IO (Maybe (CInt, CInt))

xrrQueryVersion :: Display -> IO (Maybe (CInt, CInt))

xrrGetScreenInfo :: Display -> Drawable -> IO (Maybe XRRScreenConfiguration)

xrrFreeScreenConfigInfo :: XRRScreenConfiguration -> IO ()

xrrSetScreenConfig :: Display -> XRRScreenConfiguration -> Drawable -> CInt -> Rotation -> Time -> IO Status

xrrSetScreenConfigAndRate :: Display -> XRRScreenConfiguration -> Drawable -> CInt -> Rotation -> CShort -> Time -> IO Status

xrrConfigRotations :: XRRScreenConfiguration -> IO (Rotation, Rotation)

xrrConfigTimes :: XRRScreenConfiguration -> IO (Time, Time)

xrrConfigSizes :: XRRScreenConfiguration -> IO (Maybe [XRRScreenSize])

xrrConfigRates :: XRRScreenConfiguration -> CInt -> IO (Maybe [CShort])

xrrConfigCurrentConfiguration :: XRRScreenConfiguration -> IO (Rotation, SizeID)

xrrConfigCurrentRate :: XRRScreenConfiguration -> IO CShort

xrrRootToScreen :: Display -> Window -> IO CInt

xrrSelectInput :: Display -> Window -> EventMask -> IO ()

xrrUpdateConfiguration :: XEvent -> IO CInt

xrrRotations :: Display -> CInt -> IO (Rotation, Rotation)

xrrSizes :: Display -> CInt -> IO (Maybe [XRRScreenSize])

xrrRates :: Display -> CInt -> CInt -> IO (Maybe [CShort])

xrrTimes :: Display -> CInt -> IO (Time, Time)

xrrGetScreenResources :: Display -> Window -> IO (Maybe XRRScreenResources)

xrrGetOutputInfo :: Display -> XRRScreenResources -> RROutput -> IO (Maybe XRROutputInfo)

xrrGetCrtcInfo :: Display -> XRRScreenResources -> RRCrtc -> IO (Maybe XRRCrtcInfo)

xrrGetScreenResourcesCurrent :: Display -> Window -> IO (Maybe XRRScreenResources)

xrrSetOutputPrimary :: Display -> Window -> RROutput -> IO ()

xrrGetOutputPrimary :: Display -> Window -> IO RROutput

xrrListOutputProperties :: Display -> RROutput -> IO (Maybe [Atom])